generic/233,270: unlimit the max locked memory size for io_uring
[xfstests-dev.git] / tests / xfs / 092
1 #! /bin/bash
2 # SPDX-License-Identifier: GPL-2.0
3 # Copyright (c) 2000-2004 Silicon Graphics, Inc.  All Rights Reserved.
4 #
5 # FS QA Test No. 092
6 #
7 # Make sure that we can mount inode64 filesystems
8 #
9 seq=`basename $0`
10 seqres=$RESULT_DIR/$seq
11 echo "QA output created by $seq"
12
13 here=`pwd`
14 tmp=/tmp/$$
15 status=1        # failure is the default!
16 trap "_cleanup; exit \$status" 0 1 2 3 15
17
18 _cleanup()
19 {
20     cd /
21     rm -f $tmp.*
22 }
23
24 # get standard environment, filters and checks
25 . ./common/rc
26 . ./common/filter
27
28 # real QA test starts here
29
30 # Modify as appropriate.
31 _supported_fs xfs
32 _require_scratch
33 _require_no_large_scratch_dev
34
35 MOUNT_OPTIONS="$MOUNT_OPTIONS -o inode64"
36 _scratch_mkfs_xfs | _filter_mkfs 2>/dev/null
37 echo Silence is golden
38
39 _try_scratch_mount
40 [ $? -eq 0 ] || echo "inode64 mount failed unexpectedly!"
41
42 # success, all done
43 status=0
44 exit